Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3406 closed task (fixed)

Remove obsolete test program sp36

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.10.3
Component: score Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

It tests the (never really working) strict order mutex
option. That option does not exist any more. Mutexes by other good
means (spmutex01, spsem*).

Change History (3)

comment:1 Changed on 04/22/18 at 14:17:19 by Sebastian Huber <sebastian.huber@…>

In [changeset:"ad071b6884f6066b82d6ec34f03c9b06e8842b3c/rtems" ad071b68/rtems]:

sptests/sp36: Remove obsolete test program

It tests the (never really working) strict order mutex option. That
option does not exist any more. Mutexes by other good means (spmutex01,
spsem*).

Update #3406.

comment:2 Changed on 06/19/18 at 05:59:22 by Sebastian Huber <sebastian.huber@…>

In [changeset:"d4165e717329582e7d24163643f1e90ab8508963/rtems" d4165e71/rtems]:

sptests/sp36: Remove obsolete test program

It tests the (never really working) strict order mutex option.

Update #3406.

comment:3 Changed on 06/19/18 at 06:00:36 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"680d7650895f346ca9b5bef262a84e61d92fa97a/rtems" 680d7650/rtems]:

sptests/sp36: Remove obsolete test program

It tests the (never really working) strict order mutex option.

Close #3406.

Note: See TracTickets for help on using tickets.